moment = require 'moment'

getChannelType = (IlidType) ->
  switch IlidType
    when "S2M"
      return "PRI"
    when "FXS"
      return "Analog"
    when "S0"
      return "BRI"
    else
      return "PCM"

padTime = (num) ->
  num = "#{num}"
  num = "0#{num}" if num.length is 1
  return num

calculateRuntime = (date) ->
  date = moment(date, "YYYY-MM-DD-hh:mm.ss").format()
  date = new Date(date)
  now = new Date()
  diff = now - date
  diff = moment.duration(diff)
  hours = diff.get("hours")
  minutes = diff.get("minutes")
  seconds = diff.get("seconds")
  return "#{padTime(hours)}:#{padTime(minutes)}:#{padTime(seconds)}"

convertLetterToNumber = (str) ->
  if str and str.length
    return str.charCodeAt(0) - 96
  else
    return 0


module.exports =
  getChannelType: getChannelType
  padTime: padTime
  calculateRuntime: calculateRuntime
  convertLetterToNumber: convertLetterToNumber